# Discussions 

In our initial and follow-up project proposals our goal was to have the position of our magnets, or pen with an embedded magnet, be calculated such that they could be used as a two dimensional pointer on the device. The movements that the user made with this pointer would be able to be read as gestures or patterns. These could be larger gestures such as directional movements that would be mapped to actions, such as swiping left or right to move through pages, or more precise patterns such as characters that could recognized and recorded as digital notes. 

However through much more in depth testing and research, it was decided that the readings from the magnetometer from our smartphones were only reliably useful in a one dimensional sense. When converted to an overall magnitude of magnetic field strength, these readings could be pretty reliably used as input in order to select from a range of values. But for several reasons their mappings to a two dimensional plane were much less reliable. 

One of the biggest issues we ran into was the magnetization of the phone itself. The pen could be calibrated, but slowly the components of the phone would become slightly magnetized throwing off the readings. On a single device this could possibly be accounted for, but since different android based phones would all have different components and internal layouts there was no way to reliably account for this other than constant calibration. 

Another issue is that magnetic field is not uniform. In the context of our use this meant that the magnitude of readings would ramp up considerably when the magnets align with the axis of the magnetometer. This presents a problem as we couldn’t find a reliable method to distinguish between a single axis value changing due to axis alignment, or because the magnet was moves much closer to the device. This was improved by using an electromagnet with a long metal base, but could never be completely fixed. If the magnitude of the magnetic field was known or the direction was known to be static, an absolute position could be reliably calculated.

Unfortunately there were too many unknowns in what we were attempting, meaning that there were often multiple possible locations, and the correct one couldn’t be reliably selected without another source of information to verify it, such as a reading from another magnetometer.

